Summary: A utility for retrieving files using the HTTP or FTP protocols.
Name: wget
Version: 1.8.2
Release: 6tr
License: GPL
Group: Network/Clients
Source: ftp://ftp.gnu.org/gnu/wget/wget-%{version}.tar.gz 
Provides: webclient
Requires: openssl >= 0.9.6
BuildRequires: openssl-devel
BuildRoot: /var/tmp/%{name}-root


%description
GNU Wget is a file retrieval utility which can use either the HTTP or
FTP protocols.  Wget features include the ability to work in the
background while you're logged out, recursive retrieval of
directories, file name wildcard matching, remote file timestamp
storage and comparison, use of Rest with FTP servers and Range with
HTTP servers to retrieve files over slow or unstable connections,
support for Proxy servers, and configurability.

Install wget if you need to retrieve large numbers of files with HTTP or
FTP, or if you need a utility for mirroring web sites or FTP directories.


%prep
%setup -q


%build
%configure --sysconfdir=/etc --disable-nls
make


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make	prefix=${RPM_BUILD_ROOT}/usr \
	bindir=${RPM_BUILD_ROOT}/usr/bin \
	infodir=${RPM_BUILD_ROOT}/usr/share/info \
	mandir=${RPM_BUILD_ROOT}/usr/share/man \
	sysconfdir=${RPM_BUILD_ROOT}/etc \
	install


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc AUTHORS MAILING-LIST NEWS README INSTALL doc/ChangeLog
%config /etc/wgetrc
/usr/bin/wget
/usr/share/man/man1/wget*


%changelog
* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 1.8.2-6tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 1.8.2-5em
- Rebuilt against glibc 2.3.2.

* Thu Feb 27 2003 Christian H. Toldnes <christht@tihlde.org> 1.8.2-4ct
- Added better removel of $RPM_BUILD_ROOT

* Wed Jan 23 2003 Tor Hveem <torh at trustix dot org> 1.8.2-3th
- rebuilt against openssl-0.9.7

* Mon Sep  2 2002 Goetz Bock <bock at trustix dot org> 1.8.2-2bg
- removed info stuff, manpage is up to date and generated from texi file
- removed locale (aka NLS)

* Thu Jul 25 2002 Nico Erfurth <masta at trustix dot org> 1.8.2-1ne
- New upstream version
- Removed locales

* Wed Jul 24 2002 Daniel Meyer <eagle at trustix dot org> 1.6-3dm
- rebuild for Trustix Secure Linux 2.0

* Wed Feb 21 2001 Oren Tirosh <oren@hishome.net>
- Updated man path and info path

* Sat Jan  6 2001 Bill Nottingham <notting@redhat.com>
- escape %xx characters before fnmatch (#23475, patch from alane@geeksrus.net)

* Fri Jan  5 2001 Bill Nottingham <notting@redhat.com>
- update to 1.6, fix patches accordingly (#23412)
- fix symlink patch (#23411)

* Mon Dec 18 2000 Yukihiro Nakai <ynakai@redhat.com>
- Add Japanese and Korean Resources

* Tue Aug  1 2000 Bill Nottingham <notting@redhat.com>
- setlocale for LC_CTYPE too, or else all the translations think their
  characters are unprintable.

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 11 2000 Bill Nottingham <notting@redhat.com>
- build in new environment

* Mon Jun  5 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- FHS compliance

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Thu Aug 26 1999 Jeff Johnson <jbj@redhat.com>
- don't permit chmod 777 on symlinks (#4725).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- build for 6.0 tree
- add Provides

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries
- version 1.5.3

* Sat Jun 27 1998 Jeff Johnson <jbj@redhat.com>
- updated to 1.5.2

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- modified group to Applications/Networking

* Wed Apr 22 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.5.0
- they removed the man page from the distribution (Duh!) and I added it back
  from 1.4.5. Hey, removing the man page is DUMB!

* Fri Nov 14 1997 Cristian Gafton <gafton@redhat.com>
- first build against glibc
